<main class="main">
  <div class="main-filters">
    <app-toolbar (searchEmitter)="getSearchCatInput($event)"></app-toolbar>
    <mat-paginator class="paginator" #paginator [length]="currentCatsLength"
                   [pageSize]="10"
                   [pageSizeOptions]="[5, 10, 25, 100]"
                   (page)="pageEvent = $event">
    </mat-paginator>
  </div>
  <div class="main-cats">
    <ng-container *ngFor="let cat of cats
    | searchBreed: searchValue
    | slice:((paginator.pageIndex)*paginator.pageSize):((paginator.pageIndex+1)*paginator.pageSize)">
      <app-cat [cat]="cat"></app-cat>
    </ng-container>
  </div>
</main>
